[Bug 692003] Re: DEP5 copyright file

Launchpad Bug Tracker 692003 at bugs.launchpad.net
Fri Jan 14 01:20:21 UTC 2011


This bug was fixed in the package ubuntu-dev-tools - 0.109

---------------
ubuntu-dev-tools (0.109) natty; urgency=low

  [ Stefano Rivera ]
  * Convert debian/copyright to DEP5, make sure all scripts are listed
    (LP: #692003)
  * Drop preinst (pbuilder-dist bash_completion handling), it is not required
    for any current upgrade path on Debian or Ubuntu.
  * Switch to dh_python2:
    - Use X-Python-Version instead of XS-Python-Version.
    - Use ${python:Breaks} to specify Python version compatibility.
  * Support reading configuration variables from devscripts configuration
    files. (LP: #681693)
    - Added ubuntu-dev-tools.5
    - Support this in many u-d-t scripts, and update manpages.
    - Deprecate old configuration environment variables.
  * Support the combined "Name <email>" format in UBUMAIL, DEBFULLNAME, and
    DEBEMAIL. (LP: #665202)
  * Add the beginnings of a test suite. (LP: #690386)
    - Switch to setuptools, to support setup.py test.
    - Test for that every script can run --help and return 0.
    - 404main, merge-changelog, pull-debian-debdiff, pull-debian-source,
      pull-revu-source:
      + Return 0 after showing help.
    - Run pylint on Python source code.
  * ubuntutools/common.py: Remove https_proxy unsetting code, working around
    LP: #94130.
  * edit-patch: Don't let cat error through if debian/source/format doesn't
    exist.
  * pull-debian-debdiff: Rewrite in Python, and use snapshot.debian.org.
  * pull-lp-source: Support -d (LP: #681699)
  * suspicious-source: Whitelist Python source code.
  * import-bug-from-debian: Add --package option, for importing bugs from
    pseudo-packages.

  [ Michael Bienia ]
  * ubuntutools/lp/lpapicache.py: Allow easier selection of 'staging' as LP
    instance to use (LP: #693060).

  [ Benjamin Drung ]
  * sponsor-patch:
    - Add new --lpinstance and --no-conf options.
    - Support configuration files.
    - Default to a temporary workdir and clean it up (LP: #691467).
    - Fix 'str' object has no attribute 'startwith' crash caused by a typo.
    - Fix crash if uploading to ubuntu without building the package before.
    - Fix: The package was only uploaded if the target was "ubuntu".
  * Recommend bzr-builddeb (used by sponsor-patch for branches).
  * Add most dependencies to Build-Depends for successfully run the tests.
  * Recommend python-gnupginterface (used by dgetlp).
  * update-maintainer: Rewrite completely using python-debian (LP: #666504).
  * ubuntutools/packages.py: Removed (used nowhere).

  [ Michael Vogt ]
  * add "add-patch" that provides the non-interactive version of
    edit-patch

  [ Martin Pitt ]
  * Add check-mir script: Check components of build dependencies and warn
    about universe/multiverse ones, for a package destined for
    main/restricted. Add doc/check-mir.1 manpage.
 -- Martin Pitt <martin.pitt at ubuntu.com>   Thu, 13 Jan 2011 19:16:33 -0600

** Changed in: ubuntu-dev-tools (Ubuntu)
       Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of MOTU,
which is subscribed to ubuntu-dev-tools in ubuntu.
https://bugs.launchpad.net/bugs/692003

Title:
  DEP5 copyright file




More information about the universe-bugs mailing list